void dhcp_dns()
{
  //-----------------------------------------------------------------------------------
  // Get DHCP address
  // Putting DHCP setup and DNS lookup in the main loop allows for: 
  // powering nanode before ethernet is connected
  //-----------------------------------------------------------------------------------
 // if (!ether.dhcpSetup()) dhcp_status = 0;    // if dhcp expired start request for new lease by changing status
/*  
  Serial.print(F("website for DNS ="));
  char *host = website;
  byte c;
  do {
    byte n = 0;
    for(;;) {
      c = pgm_read_byte(host);
      ++host;
      if (c == 0)
        break;
      Serial.write(c);
    }
  } while (c != 0);
  Serial.write('\n');
  */
  
  if (!dhcp_status){
    
    #ifdef UNO
    wdt_disable();
    #endif 
    
    dhcp_status = ether.dhcpSetup();           // DHCP setup
    
    #ifdef UNO
    wdt_enable(WDTO_8S);
    #endif
    
    Serial.print(F("DHCP status: "));             // print
    Serial.println(dhcp_status);               // dhcp status
    
    if (dhcp_status){                          // on success print out ip's
      ether.printIp(F("IP:  "), ether.myip);
      ether.printIp(F("GW:  "), ether.gwip);  
      
      static byte dnsip[] = {8,8,8,8};  
      ether.copyIp(ether.dnsip, dnsip);
      ether.printIp(F("DNS: "), ether.dnsip);
      
      if (use_hisip==true)
      {
        ether.copyIp(ether.hisip, hisip);
        dns_status = 1;         
		ether.printIp(F("Using static IP: "), ether.hisip); 
      }
      
    } else { ethernet_error = 1; Serial.println(F("DHCP failed")); }  
  }
  
  //-----------------------------------------------------------------------------------
  // Get server address via DNS
  //-----------------------------------------------------------------------------------
  if (dhcp_status && !dns_status){
    
    #ifdef UNO
    wdt_disable();
    #endif 
    
    dns_status = ether.dnsLookup(website);    // Attempt DNS lookup

    #ifdef UNO
    wdt_enable(WDTO_8S);
    #endif
    
    Serial.print(F("DNS status: "));             // print
    Serial.println(dns_status);               // dns status
    if (dns_status){
      ether.printIp(F("SRV: "), ether.hisip);      // server ip
    } else { ethernet_error = 1; }  
  }

}
